using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class BoundaryLightManager : MonoBehaviour
{
    public Light currentLight;
    public float startIntensity;
    public float lightLifeTime;
    private TimerHelper _lightTimer;

    private float _currentTick;

    // Start is called before the first frame update
    void Start()
    {
        currentLight.intensity = startIntensity;
        _lightTimer = new TimerHelper(lightLifeTime, false);
    }

    // Update is called once per frame
    void Update()
    {
        if (!GameEngine.isPaused)
        {
            currentLight.intensity = startIntensity - Mathf.Lerp(0, startIntensity, _lightTimer.Position);
            if (_lightTimer.HasTicked(Time.deltaTime))
            {
                Destroy(gameObject);
            }
        }
    }
}
